Discover signals
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/signals/discover \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "<string>",
"signalSpec": "<string>",
"signalIds": [
"<string>"
],
"limit": 20,
"offset": 0
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/signals/discover"
payload = {
"agentId": "<string>",
"signalSpec": "<string>",
"signalIds": ["<string>"],
"limit": 20,
"offset": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentId: '<string>',
signalSpec: '<string>',
signalIds: ['<string>'],
limit: 20,
offset: 0
})
};
fetch('https://api.interchange.io/api/v2/storefront/signals/discover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agentResults": [
{
"agentId": "<string>",
"agentName": "<string>",
"success": true,
"signalCount": 0,
"error": "<string>"
}
],
"signals": [
{
"signalId": "<string>",
"name": "<string>",
"description": "<string>",
"dataProvider": "<string>",
"coveragePercentage": 123,
"access": [
{
"advertiserId": 123,
"visibility": "<string>",
"price": {
"pricing_option_id": "<string>",
"pricing_model": "cpm",
"currency": "<string>",
"fixed_price": 1,
"floor_price": 1,
"max_bid": true,
"price_guidance": {
"p25": 1,
"p50": 1,
"p75": 1,
"p90": 1
},
"min_spend_per_package": 1,
"price_breakdown": {
"list_price": 123,
"adjustments": [
{}
]
},
"eligible_adjustments": [
"fee"
]
}
}
],
"regions": [],
"keyType": [],
"metadata": {}
}
],
"total": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Signals
Discover signals
Query signal agents via AdCP to discover available signals. Does not persist results.
POST
/
signals
/
discover
Discover signals
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/signals/discover \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "<string>",
"signalSpec": "<string>",
"signalIds": [
"<string>"
],
"limit": 20,
"offset": 0
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/signals/discover"
payload = {
"agentId": "<string>",
"signalSpec": "<string>",
"signalIds": ["<string>"],
"limit": 20,
"offset": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentId: '<string>',
signalSpec: '<string>',
signalIds: ['<string>'],
limit: 20,
offset: 0
})
};
fetch('https://api.interchange.io/api/v2/storefront/signals/discover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agentResults": [
{
"agentId": "<string>",
"agentName": "<string>",
"success": true,
"signalCount": 0,
"error": "<string>"
}
],
"signals": [
{
"signalId": "<string>",
"name": "<string>",
"description": "<string>",
"dataProvider": "<string>",
"coveragePercentage": 123,
"access": [
{
"advertiserId": 123,
"visibility": "<string>",
"price": {
"pricing_option_id": "<string>",
"pricing_model": "cpm",
"currency": "<string>",
"fixed_price": 1,
"floor_price": 1,
"max_bid": true,
"price_guidance": {
"p25": 1,
"p50": 1,
"p75": 1,
"p90": 1
},
"min_spend_per_package": 1,
"price_breakdown": {
"list_price": 123,
"adjustments": [
{}
]
},
"eligible_adjustments": [
"fee"
]
}
}
],
"regions": [],
"keyType": [],
"metadata": {}
}
],
"total": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json
⌘I